require 'redmine'

Redmine::Plugin.register :redmine_default_project_page do
  name 'Optional default project page'
  author 'Jan Strnadek <jan.strnadek@gmail.com>'
  description 'Allow setting default page for every project'
  version '0.1'

  requires_redmine :version_or_higher => '2.5'
end

ActionDispatch::Callbacks.to_prepare do
  require_dependency 'projects_controller'
  require_dependency 'default_project_page/view_hooks'

  unless Project.included_modules.include?(DefaultProjectPage::ProjectPatch)
    Project.send(:include, DefaultProjectPage::ProjectPatch)
  end

  unless ProjectsController.included_modules.include? DefaultProjectPage::ProjectsControllerPatch
    ProjectsController.send(:include, DefaultProjectPage::ProjectsControllerPatch)
  end
end

# Odkloníme položku project menu Overview z akce :show na akci :overview
Redmine::MenuManager.map(:project_menu).find(:overview).url[:action] = "overview"

# Přidáme oprávnění pro nově vzniklou akci projects/overview (se stejnými vlastnostmi jako původní)
Redmine::AccessControl.permission(:view_project).actions << "projects/overview"
